ru.bitel.bgbilling.modules.enaza.server.bean.event

## Class GetAttensionEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.LocalEvent
      - - ru.bitel.bgbilling.modules.enaza.server.bean.event.GetAttensionEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class GetAttensionEvent
      extends LocalEvent

  Синхронное событие - получение строки запроса на оплату.
  Событие генерируется перед выводом запроса на подтверждение оплаты.
  Позволяет изменить текст запроса, или запретить подтверждение.
  Унаследован от `LocalEvent`
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetAttensionEvent(int moduleId, int contractId, int userId, int productId, java.math.BigDecimal amount)` Конструктор события.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.math.BigDecimal` | `getAmount()` Возвращает стоимость продукта.
    `java.lang.String` | `getAnswer()` Возвращает строку запроса.
    `int` | `getProductId()` Возвращает id продукта.
    `boolean` | `isLock()` Возвращает статус блокировки транзакции.
    `void` | `setAmount(java.math.BigDecimal amount)` Устанавливает стоимость продукта.
    `void` | `setAnswer(java.lang.String answer)` Устанавливает строку запроса.
    `void` | `setLock(boolean lock)` Устанавливает блокировку транзакции.

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GetAttensionEvent

          public GetAttensionEvent(int moduleId,
                                   int contractId,
                                   int userId,
                                   int productId,
                                   java.math.BigDecimal amount)

      Конструктор события.
      Parameters:
        `moduleId` - - код модуля
        `contractId` - - код договора
        `userId` - - id пользователя, сгенерировавшего событие
        `productId` - код продукта
        `amount` - - стоимость продукта

  - ### Method Detail

    - #### getAnswer

          public java.lang.String getAnswer()

      Возвращает строку запроса.
      Returns:
        answer - строка запроса

    - #### setAnswer

          public void setAnswer(java.lang.String answer)

      Устанавливает строку запроса.
      Parameters:
        `answer` - - строка запроса

    - #### getProductId

          public int getProductId()

      Возвращает id продукта.
      Returns:
        productId - код продукта

    - #### getAmount

          public java.math.BigDecimal getAmount()

      Возвращает стоимость продукта.
      Returns:
        amount - стоимость

    - #### setAmount

          public void setAmount(java.math.BigDecimal amount)

      Устанавливает стоимость продукта.
      Parameters:
        `amount` - - стоимость

    - #### isLock

          public boolean isLock()

      Возвращает статус блокировки транзакции.
      Returns:
        lock - статус блокировки

    - #### setLock

          public void setLock(boolean lock)

      Устанавливает блокировку транзакции.
      Parameters:
        `lock` - - статус блокировки